Loading...
Searching...
No Matches
geadd: Add matrices
Batched LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(B = \alpha A + \beta B\) More...

## Functions

void | magmablas_cgeadd_batched (magma_int_t m, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr const dAarray[], magma_int_t ldda, magmaFloatComplex_ptr dBarray[], magma_int_t lddb, magma_int_t batchCount, magma_queue_t queue)
| ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.
void | magmablas_dgeadd_batched (magma_int_t m, magma_int_t n, double alpha, magmaDouble_const_ptr const dAarray[], magma_int_t ldda, magmaDouble_ptr dBarray[], magma_int_t lddb, magma_int_t batchCount, magma_queue_t queue)
| ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.
void | magmablas_sgeadd_batched (magma_int_t m, magma_int_t n, float alpha, magmaFloat_const_ptr const dAarray[], magma_int_t ldda, magmaFloat_ptr dBarray[], magma_int_t lddb, magma_int_t batchCount, magma_queue_t queue)
| ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.
void | magmablas_zgeadd_batched (magma_int_t m, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr const dAarray[], magma_int_t ldda, magmaDoubleComplex_ptr dBarray[], magma_int_t lddb, magma_int_t batchCount, magma_queue_t queue)
| ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.

## Detailed Description

\(B = \alpha A + \beta B\)

## Function Documentation

## magmablas_cgeadd_batched()

void magmablas_cgeadd_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr const | dAarray[],
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dBarray[],
|  | magma_int_t | lddb,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.

Parameters

  [in] | m | INTEGER The number of rows of each matrix dAarray[i]. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix dAarray[i]. N >= 0.
  [in] | alpha | COMPLEX The scalar alpha.
  [in] | dAarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a COMPLEX array, dimension (LDDA,N) The m by n matrices dAarray[i].
  [in] | ldda | INTEGER The leading dimension of each array dAarray[i]. LDDA >= max(1,M).
  [in,out] | dBarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a COMPLEX array, dimension (LDDB,N) The m by n matrices dBarray[i].
  [in] | lddb | INTEGER The leading dimension of each array dBarray[i]. LDDB >= max(1,M).
  [in] | batchCount | INTEGER The number of matrices to add; length of dAarray and dBarray. batchCount >= 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dgeadd_batched()

void magmablas_dgeadd_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr const | dAarray[],
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dBarray[],
|  | magma_int_t | lddb,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.

Parameters

  [in] | m | INTEGER The number of rows of each matrix dAarray[i]. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix dAarray[i]. N >= 0.
  [in] | alpha | DOUBLE PRECISION The scalar alpha.
  [in] | dAarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a DOUBLE PRECISION array, dimension (LDDA,N) The m by n matrices dAarray[i].
  [in] | ldda | INTEGER The leading dimension of each array dAarray[i]. LDDA >= max(1,M).
  [in,out] | dBarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a DOUBLE PRECISION array, dimension (LDDB,N) The m by n matrices dBarray[i].
  [in] | lddb | INTEGER The leading dimension of each array dBarray[i]. LDDB >= max(1,M).
  [in] | batchCount | INTEGER The number of matrices to add; length of dAarray and dBarray. batchCount >= 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_sgeadd_batched()

void magmablas_sgeadd_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr const | dAarray[],
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dBarray[],
|  | magma_int_t | lddb,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.

Parameters

  [in] | m | INTEGER The number of rows of each matrix dAarray[i]. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix dAarray[i]. N >= 0.
  [in] | alpha | REAL The scalar alpha.
  [in] | dAarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a REAL array, dimension (LDDA,N) The m by n matrices dAarray[i].
  [in] | ldda | INTEGER The leading dimension of each array dAarray[i]. LDDA >= max(1,M).
  [in,out] | dBarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a REAL array, dimension (LDDB,N) The m by n matrices dBarray[i].
  [in] | lddb | INTEGER The leading dimension of each array dBarray[i]. LDDB >= max(1,M).
  [in] | batchCount | INTEGER The number of matrices to add; length of dAarray and dBarray. batchCount >= 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zgeadd_batched()

void magmablas_zgeadd_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr const | dAarray[],
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dBarray[],
|  | magma_int_t | lddb,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ZGEADD adds two sets of matrices, dAarray[i] = alpha*dAarray[i] + dBarray[i], for i = 0, ..., batchCount-1.

Parameters

  [in] | m | INTEGER The number of rows of each matrix dAarray[i]. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix dAarray[i]. N >= 0.
  [in] | alpha | COMPLEX_16 The scalar alpha.
  [in] | dAarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a COMPLEX_16 array, dimension (LDDA,N) The m by n matrices dAarray[i].
  [in] | ldda | INTEGER The leading dimension of each array dAarray[i]. LDDA >= max(1,M).
  [in,out] | dBarray | array on GPU, dimension(batchCount), of pointers to arrays, with each array a COMPLEX_16 array, dimension (LDDB,N) The m by n matrices dBarray[i].
  [in] | lddb | INTEGER The leading dimension of each array dBarray[i]. LDDB >= max(1,M).
  [in] | batchCount | INTEGER The number of matrices to add; length of dAarray and dBarray. batchCount >= 0.
  [in] | queue | magma_queue_t Queue to execute in.